<?php

require_once RootDir.'etc/Devices.php';

require_once 'classes/PHPMailer/class.phpmailer.php';

?>

<?php 
if ( isset( $_GET['device'] ) && isset( $VoIPDevices[$_GET['device']] ) ){


  $ShippingFees = 0;
   if ( 
        strtolower($Customer->customer_info['Country']) == 'switzerland'
     || strtolower($Customer->customer_info['Country']) == 'suisse' 
     || strtolower($Customer->customer_info['Country']) == 'schweiz' 
     || strtolower($Customer->customer_info['Country']) == 'swiss' 
    ) { 
      $ShippingFees = $DeviceShippingFees['SWITZERLAND'][$Customer->customer_info['Currency']];
    } else {
      $ShippingFees = $DeviceShippingFees['INTERNATIONAL'][$Customer->customer_info['Currency']];
    }



  $TotalAmount = $VoIPDevices[$_GET['device']]['PRICE'][$Customer->customer_info['Currency']] + $ShippingFees;
  if ( $TotalAmount > $Customer->customer_info['Balance'] ){
    if ( $Customer->charge( $TotalAmount, $VoIPDevices[$_GET['device']]['NAME'], "Order ". $_GET['device'] ) ){

      $mail = new PHPMailer;

      $mail->From = 'contracts@switzernet.com';
      $mail->FromName = 'Switzernet';
      $mail->addAddress('nicolas.bondier@switzernet.com.test-google-a.com', 'Nicolas Bondier');     // Add a recipient
      $mail->AddBCC('contracts@switzernet.com');               // Name is optional
      $mail->addReplyTo('contracts@switzernet.com', 'Information');

      $body = '';
      $body .= l("Dear")." ".$Customer->customer_info['Firstname']." ".$Customer->customer_info['Lastname'].",\n\n";
      $body .= l("This is to inform you that your order has been completed and you will receive your device soon").".\n\n";
      //$body .= "\n\n";

      $body .= l("Your order:")."\n";
      $body .= l("Device name:")." ".$VoIPDevices[$_GET['device']]['NAME']."\n";
      $body .= l("Device price:")." ".$VoIPDevices[$_GET['device']]['PRICE'][ $Customer->customer_info['Currency'] ] . " " . $Customer->customer_info['Currency']."\n";
      $body .= l("Shipping fees:")." ".number_format($ShippingFees,2)." ".$Customer->customer_info['Currency']."\n";
      $body .= l("Total order:")." ".$TotalAmount."\n\n";

      //$body .= print_r($_POST, TRUE);


      $body .= l("Your shipping information:")."\n";

      $maxl = max(array_map('strlen', $_POST['ShippingAddress']));

      foreach ($_POST['ShippingAddress'] as $key => $value) {
        $l = strlen($key);
        $body .= $key;
        for ($i=$l; $i <= $maxl; $i++) { 
          $body .= " ";
        }
        $body .= ": ".$value."\n";
      }


      $body .= "\n".l("Best regards,")."\n";
      $body .= l("Switzernet")."\n\n";


      $mail->Subject = l('Device order confirmation');
      $mail->Body    = $body;



      if(!$mail->send()) {
        echo '<div class="alert-message">';
        echo l('An error occured during confirmation email sending. Please contact website administrator');
        echo '</div>';
      } else {
        echo '<div class="ok-message">';
        echo l('Your order has been completed and your balance has been charged. You will receive an automatic email. Thank you.');
        echo '</div>';
        echo '
          <script type="text/javascript">
            var newbutton="<button type=\"button\" id=\"finish-button\" class=\"pure-button view-button\" onclick=\"window.location=\'#/prepaid_accounts\'\" >'.l('Finish').'</button>";
            $( "#return-to-shop" ).replaceWith( newbutton );
            $( "#buy-button" ).remove();
          </script>';
      }

      } else {
      echo '<div class="alert-message">';
      echo l('An error occured. Please try again later or contact website administrator');
      echo '</div>';
    }
  } else {
    echo '<div class="alert-message">';
    echo l("The amount on your balance (").$Customer->customer_info['Currency']." ".$Customer->customer_info['Balance'].l(") is not suficient to pay your order (Price: ").$Customer->customer_info['Currency']." ".$TotalAmount.l(". Please recharge your account first or choose a different payment method.");
    echo '</div>';
  }
} else{
    echo '<div class="alert-message">';
    echo "This device is not available.";
    echo '</div>';
}
?>