<!DOCTYPE html>
<html lang="en" class="ng-scope">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title class="ng-binding">Switzernet</title>
    <link rel="stylesheet" media="screen,projection" href="css/pure-min.css">
    <!--[if lte IE 8]>
        <link rel="stylesheet" href="http://yui.yahooapis.com/pure/0.5.0/grids-responsive-old-ie-min.css">
    <![endif]-->
    <!--[if gt IE 8]><!-->
        <link rel="stylesheet" href="http://yui.yahooapis.com/pure/0.5.0/grids-responsive-min.css">
    <!--<![endif]-->
    <link rel="stylesheet" media="screen,projection" href="css/common2.css">
    <link rel="stylesheet" media="screen,projection" href="css/mobile.css">
    <link rel="stylesheet" media="screen,projection" href="css/toggle-switch.css">
    <script src="js/jquery-1.11.1.min.js"></script>
    <script src="js/jquery.dropdown.js"></script>
    <link type="text/css" rel="stylesheet" href="js/jquery.dropdown.css" />
    <script src="js/yui-min.js"></script>
    <script src="js/scripts.js"></script>
    <?php if (FALSE){ ?>
      <script src="js/isotope.pkgd.min.js"></script>
      <script src="js/masonry.pkgd.min.js"></script>
    <?php } ?>
    <script type="text/javascript">
      $.ajaxSetup({ cache: false });
    </script>
    <script type="text/javascript">
      function set_lang( code ){
        var hash = window.location.hash;
        var without_hash = window.location.href.replace(window.location.hash,'');
        var new_url = without_hash.substring(0, without_hash.indexOf('&'));
        window.location = new_url + '?' + 'l=' + code + hash;
      }
    </script>

    <link rel="shortcut icon" href="images/favicon.ico">
  </head>
  <body>
    <form method="post" action="https://account.switzernet.com/index.html" id="pb_connexion">
      <input type="hidden" value="<?= $Customer->customer_info['WebLogin'] ?>" name="pb_auth_user">
      <input type="hidden" value="<?= $Customer->customer_info['WebPassword'] ?>" name="pb_auth_password">
    </form>
    <div id="dropdown-1" class="dropdown dropdown-anchor-right">
      <ul class="dropdown-menu">
        <?php
          $langs = array(
            'fr' => 'Français',
            'en' => 'English',
            'de' => 'Deutsch',
            'es' => 'Español',
            'ru' => 'Pусский'
          );

          foreach ($langs as $key => $value) {
            if ( strtolower($_SESSION['language']['code']) != $key ){
          ?>
            <li><a href='#' onclick="set_lang('<?= $key ?>');return false;"><?= $value ?></a></li>
          <?
            }
          }
        ?>
      </ul>
    </div>
    <div id="dropdown-2" class="dropdown dropdown-anchor-right">
      <ul class="dropdown-menu">
        <li><a href='#' onclick="$( '#pb_connexion' ).submit();return false;"><?= l('Main customer web interface') ?></a></li>
        <li><a href="logout.php" ><?= l('Logout') ?></a></li>
      </ul>
    </div>
    <div id="body-container">
    <div id="page-container">
      <div class="header">

        <div id="top-menu" class="home-menu pure-menu pure-menu-open pure-menu-horizontal pure-menu-fixed">
          <a class="logo pure-menu-heading" href="#/general" onclick="load_view('general');">
            <img src="img/switzernet-logo.png" alt="Switzernet" id="logo">
          </a>
          <ul id="" class="header-menu" style="margin-top: 5px; margin-right: 30px;">
            <li>
              <a href="#" data-dropdown="#dropdown-2"><?= $Customer->customer_info['WebLogin'] ?>&nbsp;&nbsp;<img src="img/triangle-bas.png" style="height:10px;"></a>
            </li>
          </ul>

          <ul id="web_login_menu" class="header-menu" style="margin-top: 5px; margin-right: 30px;">
            <li>
              <a href="#" data-dropdown="#dropdown-1"> <?= $langs[strtolower($_SESSION['language']['code'])] ?> &nbsp;&nbsp;<img src="img/triangle-bas.png" style="height:10px;"></a>

            </li>
          </ul>
        </div>
      </div>
        <script type="text/javascript">
          $( document ).ready(function() {
            reload_on_update();
          });
        </script>
