<?php

$language_folder = RootDir . '/languages/';

/*
if ( !isset( $lang[] ) ){

}
*/
//echo $language_folder;

$languages = array();

try{
    $pdo = new PDO('sqlite:'.dirname(__FILE__).'/db/current.sqlite3');
    $pdo->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION); // ERRMODE_WARNING | ERRMODE_EXCEPTION | ERRMODE_SILENT
} catch(Exception $e) {
    echo "Impossible d'accéder à la base de données SQLite : ".$e->getMessage();
    die();
}

/*

sqlite3 languages-v1.sqlite3
create table constants ( i_constant INTEGER PRIMARY KEY  NOT NULL, constant TEXT NOT NULL, UNIQUE(constant) );
create table lang_en ( i_constant INTEGER NOT NULL, translation TEXT DEFAULT NULL );
create table lang_fr ( i_constant INTEGER NOT NULL, translation TEXT DEFAULT NULL );
create table lang_es ( i_constant INTEGER NOT NULL, translation TEXT DEFAULT NULL );
create table lang_de ( i_constant INTEGER NOT NULL, translation TEXT DEFAULT NULL );
create table lang_ru ( i_constant INTEGER NOT NULL, translation TEXT DEFAULT NULL );

*/

$stmt = $pdo->prepare("SELECT name FROM sqlite_master WHERE type='table' AND name like 'lang_%';");
$stmt->execute();
$result = $stmt->fetchAll();

foreach ($result as $value) {
  if ( preg_match('/^lang_(.+)$/', $value['name'], $matches) ){
    $languages[ strtolower($matches[1]) ] = TRUE;
  }
}


if ( isset( $_GET['l'] ) && isset( $languages[ strtolower($_GET['l'] ) ] ) ){
  $_SESSION['language']['code'] = strtolower($_GET['l'] );
}

if ( isset( $_SESSION['language']['code'] ) && isset( $languages[ strtolower($_SESSION['language']['code'] ) ] ) ){
  $_SESSION['language']['code'] = $_SESSION['language']['code'];
} else {
  $_SESSION['language']['code'] = 'en';
}

$lang = $_SESSION['language']['code'];

//echo $lang;

$stmt = $pdo->prepare("SELECT c.constant, l.translation FROM constants c LEFT JOIN lang_".strtolower($lang)." l ON l.i_constant=c.i_constant;");
$stmt->execute();

$results = $stmt->fetchAll();

foreach ($results as $value) {
  $translations[$value['constant']] = $value['translation'];
}
//print_r($translations);



//print_r(get_defined_constants());

function l($l){
  global $translations;
  //echo $l;
  if ( isset( $translations[$l] ) ){
    return $translations[$l];
  } else {
    return $l;
  }
}

function _l($l){
  global $translations;
  //echo $l;
  if ( isset( $translations[$l] ) ){
    return $translations[$l];
  } else {
    return $l;
  }
}


//echo l("this is a test");
//echo l("this is a test");
//echo l('this is a test');
//echo l("this is a test".'this is a test');

?>