<html>
<head>
  <title>Management prepay web interface</title>
  <script src="../js/jquery-1.11.1.min.js"></script>
  <script type="text/javascript">

  function addRow(){
    $('#table > tbody:last').append('<tr>'
       + '<td><input type="text" name="ID" ></td>'
       + '<td></td>'
       + '<td><input size="10" type="text" name="CurrentSubscriptionExpirationDate" value=""></td>'
       + '<td><input size="10" type="checkbox" name="SubscriptionAutoRenewal" value=""></td>'
       + '<td><input           type="submit"   onclick="saveAccount(this, null)" value="save"></td>'
    + '</tr>');
  }

  function saveAccount(cell, i_account){
    var form = document.createElement("form");
    form.setAttribute("method", "post");
    form.setAttribute("action", "saveAccount.php");
    form.setAttribute("id", "saveAccount");
    var row = getParentElementByTagName(cell,'tr');
    console.log("---------------------------------------------------------------------");
    for (var j = 0, col; col = row.cells[j]; j++) {
      if ( row.cells[j].childNodes[0] && row.cells[j].childNodes[0].name ){
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", row.cells[j].childNodes[0].name);
        if ( row.cells[j].childNodes[0].type && row.cells[j].childNodes[0].type === 'checkbox' ){
          console.log(row.cells[j].childNodes[0].name + "=>" +row.cells[j].childNodes[0].checked);
          hiddenField.setAttribute("value", row.cells[j].childNodes[0].checked);
        } else {
          console.log(row.cells[j].childNodes[0].name + "=>" +row.cells[j].childNodes[0].value);
          hiddenField.setAttribute("value", row.cells[j].childNodes[0].value);
        }
        form.appendChild(hiddenField);
      }
      document.body.appendChild(form);
    }

    console.log(row.cells[0].innerHTML);

    if ( row.cells[0].innerHTML != '' ){
      var hiddenField = document.createElement("input");
      hiddenField.setAttribute("type", "hidden");
      hiddenField.setAttribute("name", 'i_account');
      hiddenField.setAttribute("value", i_account );
      form.appendChild(hiddenField);
    }

    var hiddenField = document.createElement("input");
    hiddenField.setAttribute("type", "hidden");
    hiddenField.setAttribute("name", 'i_customer');
    hiddenField.setAttribute("value", <?= $_GET['ic'] ?> );
    form.appendChild(hiddenField);

    console.log( $( form ).serialize() );

    $.post( "saveAccount.php", $( form ).serialize() , function( data, status ) {

      $( row ).replaceWith( data );

    }).fail(function(data){

      console.log(data);
      
      alert(data.responseJSON.type + ':' + data.responseJSON.message);
    
    });
  }

  function getParentElementByTagName( element , tag ){
    while( element.tagName.toLowerCase() != tag.toLowerCase() ){
      element = element.parentNode;
      if (!element.tagName) {
        return;
      }
    }
    return element;
  }

  function editAccount(i_account , element){
    var row = getParentElementByTagName(element,'tr');

    var get = { i_account: i_account };

    $.get( "editAccount.php", get , function( data,status ) {
      $( row ).replaceWith( data );
    }).fail(function(data){
      console.log(data);
      alert(data.responseJSON.type + ':' + data.responseJSON.message);
    });
    console.log(i_account);
  }

  </script>
      <link rel="stylesheet" media="screen,projection" href="../css/pure-min.css">
</head>
<body>
<h1>Account management</h1>
<?php
$filename = '/home/site_lib/connections/local.mysqli.141102_test_web_interface.class.php';
if(!@include_once( $filename ) ) throw new Customer_Exception( "Failed to include ". $filename );
try {
  $LocalMysql = new LocalMysqli;
  $LocalMysql = $LocalMysql->connection;
  $LocalMysql->set_charset("utf8");
} catch (mysqli_sql_exception $e) {
  throw new Customer_Exception("Could not connect to mysql server !".$e);
}

if ( !preg_match('/^[0-9]+$/',  $_GET['ic'] )){
  echo "Wrong i_customer format";
  exit;
} else {
  $i_customer = $_GET['ic'];
}

echo "i_customer ".$_GET['ic'].":<br><br>";

$sql = "SELECT * FROM account_data WHERE i_customer = ".$i_customer;

$Columns = array();

$Accounts = array();
if ($result = $LocalMysql->query($sql, MYSQLI_USE_RESULT)) {
  while($row = $result->fetch_assoc()){
    array_push($Accounts, $row);
  }
  while ($property = mysqli_fetch_field($result)) {
    array_push($Columns, $property->name);
  }
  $result->close();
}

?>


<table id="table" class="pure-table">
<thead>
<?php


$fields = array(
  'ID' => 'ID',
  'Explain' => 'Explain',
  'CurrentSubscriptionExpirationDate' => 'Expiration Date',
  'SubscriptionAutoRenewal' => 'Auto renewal'
);

echo "<tr>";
foreach ($fields as $name) {
  echo "<th>".$name."</th>"; 
}
echo "<th>Actions</th>"; 

echo "</tr>";
?></thead><tbody><?php

include_once "explainAccount.php" ;

foreach ($Accounts as $account) {

  $account['Explain'] = explain( $account[ 'i_account' ], $i_customer );

  echo "<tr>";
  echo "</tr>";
  echo "<tr>";


  foreach ($fields as $key => $value) {
    if ( isset( $account[ $key ] ) ){
      echo "<td>".$account[ $key ]."</td>";

    }
  }
  echo  '<td><input type="submit" onclick="editAccount(\''.$account[ 'i_account' ].'\', this )" value="edit"></td>';
}
?>
</tbody>
</table>
<br>
<input id="addnew" type="button" value="Add new account" onclick="addRow();" />
<div id="result"></div>
<?php
  $LocalMysql->close();
?>

</body>
</html>
