<html>
<head>
  <title>Management prepay web interface</title>
  <script src="../js/jquery-1.11.1.min.js"></script>
  <script type="text/javascript">

  function addRow(){
    $('#table > tbody:last').append('<tr>'
       + '<td></td>'
       + '<td><input           type="checkbox" name="Active" ></td>'
       + '<td><input size="10" type="text" name="Email" value=""></td>'
       + '<td><input size="10" type="text" name="Firstname" value=""></td>'
       + '<td><input size="10" type="text" name="Lastname" value=""></td>'
       + '<td><input size="10" type="text" name="Address" value=""></td>'
       + '<td><input size="10" type="text" name="NPA" value=""></td>'
       + '<td><input size="10" type="text" name="City" value=""></td>'
       + '<td><input size="10" type="text" name="Country" value=""></td>'
       + '<td><input size="10" type="text" name="Balance" value=""></td>'
       + '<td><input size="10" type="text" name="Currency" value=""></td>'
       + '<td><input size="10" type="text" name="AutomaticPaymentMethod" value=""></td>'
       + '<td><input size="10" type="text" name="AutomaticPaymentStatus" value=""></td>'
       + '<td><input size="10" type="text" name="WebLogin" value=""></td>'
       + '<td><input size="10" type="text" name="WebPassword" value=""></td>'
       + '<td><input           type="submit" onclick="saveCustomer(this)" value="save"></td>'
       + '<td><input           type="submit" onclick="" value="show"></td>'
    + '</tr>');
  }

  function saveCustomer(cell){
    var form = document.createElement("form");
    form.setAttribute("method", "post");
    form.setAttribute("action", "saveCustomer.php");
    form.setAttribute("id", "saveCustomer");
    var row = getParentElementByTagName(cell,'tr');
    //console.log("---------------------------------------------------------------------");
    for (var j = 0, col; col = row.cells[j]; j++) {
      if ( row.cells[j].childNodes[0] && row.cells[j].childNodes[0].name ){
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", row.cells[j].childNodes[0].name);
        if ( row.cells[j].childNodes[0].type && row.cells[j].childNodes[0].type === 'checkbox' ){
          //console.log(row.cells[j].childNodes[0].name + "=>" +row.cells[j].childNodes[0].checked);
          hiddenField.setAttribute("value", row.cells[j].childNodes[0].checked);
        } else {
          //console.log(row.cells[j].childNodes[0].name + "=>" +row.cells[j].childNodes[0].value);
          hiddenField.setAttribute("value", row.cells[j].childNodes[0].value);
        }
        form.appendChild(hiddenField);
      }
      document.body.appendChild(form);
    }
    $.post( "saveCustomer.php", $( form ).serialize() , function( data,status ) {
      $( row ).replaceWith( data );
    }).fail(function(data){
      console.log(data);
      alert(data.responseJSON.type + ':' + data.responseJSON.message);
    });
  }

  function getParentElementByTagName( element , tag ){
    while( element.tagName.toLowerCase() != tag.toLowerCase() ){
      element = element.parentNode;
      if (!element.tagName) {
        return;
      }
    }
    return element;
  }

  function editCustomer(cell){
    var row = getParentElementByTagName(cell,'tr');
    var i_customer = row.firstChild.innerHTML;

    var get = { i_customer: i_customer };

    $.get( "editCustomer.php", get , function( data,status ) {
      $( row ).replaceWith( data );
    }).fail(function(data){
      console.log(data);
      alert(data.responseJSON.type + ':' + data.responseJSON.message);
    });
    console.log(i_customer);
  }

  function viewAccounts(cell){
    var row = getParentElementByTagName(cell,'tr');
    var i_customer = row.firstChild.innerHTML;
      console.log(i_customer);
    if ( i_customer && i_customer != '' ){
      window.open("accounts.php?ic="+i_customer);
    }
  }

  function makePayment(cell){
    var row = getParentElementByTagName(cell,'tr');
    var i_customer = row.firstChild.innerHTML;
      console.log(i_customer);
    if ( i_customer && i_customer != '' ){
      window.open("makePayment.php?ic="+i_customer);
    }
  }


  </script>
      <link rel="stylesheet" media="screen,projection" href="../css/pure-min.css">
</head>
<body>
<h1>Management</h1>
<?php
$filename = '/home/site_lib/connections/local.mysqli.141102_test_web_interface.class.php';
if(!@include_once( $filename ) ) throw new Customer_Exception( "Failed to include ". $filename );
try {
  $LocalMysql = new LocalMysqli;
  $LocalMysql = $LocalMysql->connection;
  $LocalMysql->set_charset("utf8");
} catch (mysqli_sql_exception $e) {
  throw new Customer_Exception("Could not connect to mysql server !".$e);
}


$sql = "SELECT * FROM customer_data";

$Columns = array();

$Customers = array();
if ($result = $LocalMysql->query($sql, MYSQLI_USE_RESULT)) {
  while($row = $result->fetch_assoc()){
    array_push($Customers, $row);
  }
  while ($property = mysqli_fetch_field($result)) {
    array_push($Columns, $property->name);
  }
  $result->close();
}

?>


<table id="table" class="pure-table">
<thead>
<?php
echo "<tr>";
foreach ($Columns as $name) {
  echo "<th>".$name."</th>"; 
}
  echo "<th>Actions</th>"; 
  echo "<th>Accounts</th>"; 

echo "</tr>";
?></thead><tbody><?php
foreach ($Customers as $customer) {
  echo "<tr>";
  echo "</tr>";
  echo "<tr>";
  foreach ($customer as $key => $value) {
    echo "<td>".$value."</td>";
  }
  echo  '<td>
  <input type="submit" onclick="editCustomer(this)" value="edit">
  <input type="submit" onclick="makePayment(this)" value="pay">

  </td>';
  echo  '<td><input type="submit" onclick="viewAccounts(this)" value="show"></td>';
}
?>
</tbody>
</table>
<br>
<input id="addnew" type="button" value="Add new customer" onclick="addRow();" />
<div id="result"></div>
<?php
  $LocalMysql->close();
?>

</body>
</html>
