<?php

$filename = '/home/site_lib/connections/local.mysqli.141102_test_web_interface.class.php';
if(!@include_once( $filename ) ) throw new Customer_Exception( "Failed to include ". $filename );
try {
  $LocalMysql = new LocalMysqli;
  $LocalMysql = $LocalMysql->connection;
  $LocalMysql->set_charset("utf8");
} catch (mysqli_sql_exception $e) {
  throw new Customer_Exception("Could not connect to mysql server !".$e);
}

$i_account = NULL;


if ( $_POST['Active'] == 'false' ){
  $_POST['Active'] = 0;
} else {
  $_POST['Active'] = 1;
}


if ( $_POST['SubscriptionAutoRenewal'] == 'false' ){
  $_POST['SubscriptionAutoRenewal'] = 0;
} else {
  $_POST['SubscriptionAutoRenewal'] = 1;
}
/*
  $data = array('type' => 'error', 'message' => print_r($_POST, TRUE) );
          header('HTTP/1.1 400 Bad Request');
          header('Content-Type: application/json; charset=UTF-8');
          echo json_encode($data);
          exit;
*/


if ( isset($_POST['i_account']) && preg_match('/^[0-9]+$/',  $_POST['i_account'] ) ){

  $i_account = $_POST['i_account'];

  $SQL = "UPDATE `account_data`
  SET
    `ID` = ?,
    `CurrentSubscriptionType` = ?,
    `CurrentSubscriptionExpirationDate` = ?,
    `SubscriptionAutoRenewal` = ?
  WHERE
    `i_account` = ?
  ";

  if (!($stmt = $LocalMysql->prepare($SQL))) {

  $data = array('type' => 'error', 'message' => "Echec de la préparation : (" . $LocalMysql->errno . ") " . $LocalMysql->error);
          header('HTTP/1.1 500 Internal Server Error');
          header('Content-Type: application/json; charset=UTF-8');
          echo json_encode($data);
          exit;
  }

  if (!$stmt->bind_param("sisii", $_POST['ID'], $_POST['CurrentSubscriptionType'], $_POST['CurrentSubscriptionExpirationDate'], $_POST['SubscriptionAutoRenewal'], $_POST['i_account'] )) {



  $data = array('type' => 'error', 'message' => "Echec lors du liage des paramètres : (" . $stmt->errno . ") " . $stmt->error);
          header('HTTP/1.1 400 Bad Request');
          header('Content-Type: application/json; charset=UTF-8');
          echo json_encode($data);
          exit;
  }

  if (!$stmt->execute()) {
    $data = array('type' => 'error', 'message' => "Echec lors de l'exécution de la requête : (" . $stmt->errno . ") " . $stmt->error );
    header('HTTP/1.1 400 Bad Request');
    header('Content-Type: application/json; charset=UTF-8');
    echo json_encode($data);
    exit;
  }

  $stmt->close();

} else {
  $SQL = "INSERT INTO `account_data` ( `i_customer`, `ID`, `Active`, `CurrentSubscriptionType`, `CurrentSubscriptionExpirationDate`, `SubscriptionAutoRenewal`, `NextSubscriptionType` ) VALUES ( ?, ?, ?, ?, ?, ?, ? );";

  if (!($stmt = $LocalMysql->prepare($SQL))) {

  $data = array('type' => 'error', 'message' => "Echec de la préparation : (" . $LocalMysql->errno . ") " . $LocalMysql->error);
          header('HTTP/1.1 500 Internal Server Error');
          header('Content-Type: application/json; charset=UTF-8');
          echo json_encode($data);
          exit;
  }

  if (!$stmt->bind_param("isissss", $_POST['i_customer'], $_POST['ID'], $_POST['Active'], $_POST['CurrentSubscriptionType'], $_POST['CurrentSubscriptionExpirationDate'], $_POST['SubscriptionAutoRenewal'], $_POST['NextSubscriptionType'])) {

  $data = array('type' => 'error', 'message' => "Echec lors du liage des paramètres : (" . $stmt->errno . ") " . $stmt->error);
          header('HTTP/1.1 400 Bad Request');
          header('Content-Type: application/json; charset=UTF-8');
          echo json_encode($data);
          exit;
  }

  if (!$stmt->execute()) {
    $data = array('type' => 'error', 'message' => "Echec lors de l'exécution de la requête : (" . $stmt->errno . ") " . $stmt->error );
    header('HTTP/1.1 400 Bad Request');
    header('Content-Type: application/json; charset=UTF-8');
    echo json_encode($data);
    exit;
  }

  $i_account = $LocalMysql->insert_id;

  $stmt->close();


}





$sql = "SELECT ID, CurrentSubscriptionType, CurrentSubscriptionExpirationDate, SubscriptionAutoRenewal FROM account_data WHERE i_account = ".$i_account;
$Account = array();
if ($result = $LocalMysql->query($sql, MYSQLI_USE_RESULT)) {
  $Account = $result->fetch_assoc();
  $result->close();
}

echo "<tr>";

foreach ($Account as $key => $value) {
  echo "<td>";
  echo $value;
  echo "</td>";
}
  echo  '<td><input type="submit" onclick="editAccount(this)" value="edit"></td>';
echo "</tr>";

?>


<?php
  $LocalMysql->close();
?>

