<div class="view-header">
  <h1>
    <span><?= l("Billing")?></span>
  </h1>
</div>
<div class="view-content">
  <?php if ( $Customer->customer_info['Active'] != TRUE ){ ?>
    <div class="alert-message">
      <?= l("Your account is not activated yet. Make your first payment to start.")?>
    </div>
  <?php } ?>
  <?php if ( $Customer->customer_info['Active'] != TRUE ){ ?>
    <h2>
      <span><?= l("Make your first payment to activate your account")?></span>
    </h2>
    <div class="view-text-container" >
      <a href="http://pay.switzernet.com" target="_blank"><button class="pure-button view-button"><?= l("Make first payment")?></button></a>
    </div>
  <?php } ?>
  <?php if ($Customer->customer_info['Active'] == TRUE ){ ?>
    <h2>
      <span><?= l("Billing information")?></span>
    </h2>
    <table class="info_table">
      <tr>
        <td><?= l("Balance")?></td>
        <td><?= $Customer->customer_info['Balance'] ?>&nbsp;<?= $Customer->customer_info['Currency'] ?></td>
      </tr>
      <tr>
        <td><?= l("Credit limit")?></td>
        <td><?= number_format($Customer->customer_info['CreditLimit'],2) ?>&nbsp;<?= $Customer->customer_info['Currency'] ?></td>
      </tr>
      <tr>
        <td><?= l("Available funds")?></td>
        <td <?= ( $Customer->customer_info['AvailableFunds'] <= 0 ? 'style="color:red"' : 'style="color:green"' ) ?>  ><?= number_format( $Customer->customer_info['AvailableFunds'],2 ) ?>&nbsp;<?= $Customer->customer_info['Currency'] ?></td>
      </tr>
    </table>
  <?php //print_r ( $Customer->customer_info ); ?>
    <h2>
      <span><?= l("Recharge account")?></span>
    </h2>
    <div class="view-text-container" >
      <a href="http://pay.switzernet.com" target="_blank"><button onclick="alert('Hi <?= $_SERVER['REMOTE_USER'] ?> \n<?= l("Please credit manually the account from management page and reload this page once done")?>')" class="pure-button view-button "><?= l("Make a payment")?></button></a>
    </div>
  <?php } ?>
      <div id="automatic-payment">
      </div>

      <?php if( $Customer->customer_info['Active'] == 1 ) { ?>
      <script type="text/javascript">
              $( '#automatic-payment' ).load('views/view_select_automatic_payment_method.php');   
      </script>
  <?php } else { ?>
  <?php } ?>
</div>
