<?php
if ( !isset( $_SESSION[AppId]['show_prepaid_account_id'] ) ){
  exit;
}

require_once RootDir.'etc/SubscriptionPlans.php';
/*
print_r($Account->account_info);

if ( $Account->account_info['IsPrepaidPrivate'] === TRUE ){
  echo "IsPrepaidPrivate => TRUE<br>";
} else {
  echo "IsPrepaidPrivate => FALSE<br>";
}

print_r( $SubscriptionPlans );
echo $Customer->customer_info['Currency'];
*/
?>
  <h2 id="subscription-plan">
    <span><?= l("Subscription plan")?></span>
  </h2>



  <table class="info_table">
    <tr>
      <td><?= l("Active subscription plan")?></td>
        <?php if ( $Account->account_info['IsPrepaidPrivate'] == TRUE ){ ?>
            <td><?= l("Yes")?></td>
        <?php } else { ?>
            <td><?= l("No")?></td>
        <?php } ?>
    </tr>
    <?php if ( $Account->account_info['IsPrepaidPrivate'] == FALSE ){ ?>
    <tr>
      <td><?= l("Simultaneous calls allowed")?></td>
      <td><?= l("Yes")?></td>
    </tr>
    <?php } else { ?>
    <tr>
      <td><?= l("Simultaneous calls allowed")?></td>
      <td><?= l("No")?></td>
    </tr>
    <?php } ?>
    <?php if ( $Account->account_info['IsPrepaidPrivate'] == TRUE ){ ?>
    <tr>
      <td><?= l("Free calls")?></td>
      <td><?= l("To 23 destinations")?></td>
    </tr>
    <?php } else { ?>
    <tr>
      <td><?= l("Free calls") ?></td>
      <td><?= l("No")?></td>
    </tr>
    <?php } ?>
    <?php if ( $Account->account_info['Active'] == 1 && $Account->account_info['IsPrepaidPrivate'] == FALSE ){ ?>
    <tr>
      <td><?= l("Monthly fees") ?></td>
      <td><?= $Customer->customer_info['Currency'] ?> <?= number_format( $SubscriptionPlans[ 0 ]['MonthlyFees'][$Customer->customer_info['Currency']] , 2) ?><?= l("/month")?></td>
    </tr>
    <?php } elseif ( $Account->account_info['Active'] == 1 && $Account->account_info['IsPrepaidPrivate'] == TRUE ) { ?>
    <tr>
      <td><?= l("Monthly fees")?></td>
      <td><?= $Customer->customer_info['Currency'] ?> <?= number_format( $SubscriptionPlans[ $Account->account_info['CurrentSubscriptionType'] ]['MonthlyFees'][ $Customer->customer_info['Currency'] ] , 2) ?><?= l("/month")?></td>
    </tr>
    <?php } ?>
    <?php //print_r($Account) ;?>
    <?php if ( $Account->account_info['IsPrepaidPrivate'] == TRUE ){ ?>
        <tr>
          <td><?= l("Renewal / Expiration date")?></td>
          <td><?= date('Y-m-d',strtotime($Account->account_info['CurrentSubscriptionExpirationDate'])) ?></td>
        </tr>
    <?php } elseif (FALSE) { ?>
        <tr>
          <td><?= l("Expiration date")?></td>
          <td><?= date('Y-m-d',strtotime($Account->account_info['CurrentSubscriptionExpirationDate'])) ?></td>
        </tr>
    <?php } ?>
    <?php if ( $Account->account_info['Active'] == 1 && $Account->account_info['IsPrepaidPrivate'] ){ ?>
    <tr>
      <td><?= l("Automatic renewal")?></td>
      <td>
        <div class="switch" id="toggle-automatic-renewal">
          <input id="toggle-automatic-renewal-checkbox" id="cmn-toggle-1" class="cmn-toggle cmn-toggle-round-flat" type="checkbox" <?= ( $Account->account_info['SubscriptionAutoRenewal'] == 1 ? 'checked="checked"' : '' ) ?> >
          <label for="toggle-automatic-renewal-checkbox"></label>
        </div>
      </td>
    </tr>
    <?php } ?>
  </table>
  <div class="view-text-container" id="view_toggle_automatic_renewal" >
  </div>
  <script type="text/javascript">
    // alert("load");
    // console.log("click");
    $( "#toggle-automatic-renewal" ).change(function() {
      if ( ( $(window).scrollTop() ) > ( $("#subscription-plan").offset().top - 100 ) ){
        $('html, body').animate({
          scrollTop: ($("#subscription-plan").offset().top - 100)
        }, 1000);
      }
      var UpdateRenewalOption = function () {
        var r = $.Deferred();
        //setTimeout(function () {
      //console.log("UpdateRenewalOption");
          var checked = $("#toggle-automatic-renewal-checkbox").is(':checked');
          $.getJSON('views/view_toggle_automatic_renewal.php?checked='+checked, function(data) {
            
            //console.log(data);
            //console.log(checked);
            if ( data.SubscriptionAutoRenewal == 1 ){
              $( "#toggle-automatic-renewal-checkbox" ).prop({checked: true});
            } else {
              $( "#toggle-automatic-renewal-checkbox" ).prop({checked: false});
            }
            if ( data.Error === true ){
            //console.log('data.Error:true');
              $( "#view_toggle_automatic_renewal" ).html( '<div class="alert-message">' + data.ErrorMessage + '</div>' );
            } else {
            //console.log('data.Error:false');
              $( "#view_toggle_automatic_renewal" ).html( '' );
            }
          });
          //$( '#view_toggle_automatic_renewal' ).load('views/view_toggle_automatic_renewal.php?checked='+checked);
          r.resolve();
        //}, 1000);
        return r;
      };
      var ReloadSubscriptionPlansPanel = function () {
        $( '#view_change_subscription_plan' ).load('views/view_change_subscription_plan.php');
      };
      UpdateRenewalOption().done(ReloadSubscriptionPlansPanel);
    });
  </script>
