
<h2>
  <span><?= l("Automatic payments")?></span>
</h2>

<?php if ( isset($_GET['action']) && $_GET['action'] == 'edit' ){ 
  $ptype = '';
  if (isset($_GET['type'])){
    $ptype = $_GET['type'];
  } else {
    $ptype = 'PayPal';
  }
  ?>

  <form name="AutomaticPayment" id="AutomaticPaymentForm" class="pure-form" method="post">
    <table class="info_table">
      <tr>
        <td><?= l("Select an automatic payment method")?></td>
        <td>
          <select name="payment_method" id="select_automatic_payment_method" >
            <!-- <option value="no" <?= ( $ptype == 'no' ? 'selected="selected"' : '' ) ?> ><?= l("None")?></option> -->
            <option value="PayPal" <?= ( $ptype == 'PayPal' ? 'selected="selected"' : '' ) ?> ><?= l("PayPal")?></option>
            <option value="MasterCard" <?= ( $ptype == 'MasterCard' ? 'selected="selected"' : '' ) ?> ><?= l("MasterCard")?></option>
            <option value="VISA" <?= ( $ptype == 'VISA' ? 'selected="selected"' : '' ) ?> ><?= l("VISA")?></option>
          </select>
        </td>
      </tr>
      <tr>
      <?php if ( $ptype == 'MasterCard' || $ptype == 'VISA' ){ ?>
        <tr>
          <td><?= l("Card number")?></td>
          <td><input name="card_number" type="text"></td>
        </tr>
        <tr>
          <td><?= l("Card expiration date")?></td>
          <td>
            <nobr>
              <select name="card_month">
            <option value="01">01 </option>
            <option value="02">02 </option>
            <option value="03">03 </option>
            <option value="04">04 </option>
            <option value="05">05 </option>
            <option value="06">06 </option>
            <option value="07">07 </option>
            <option value="08">08 </option>
            <option value="09">09 </option>
            <option value="10">10 </option>
            <option value="11">11 </option>
            <option value="12">12 </option>
              </select>/
              <select name="card_year">
              <?php
                for ($i=date('Y'); $i < ( date('Y') + 15 ); $i++) { 
                  echo '<option value="'.$i.'">'.$i.'</option>';    
                }  
              ?>
              </select>
            </nobr>
          </td>
        </tr>
        <tr>
          <td><?= l("Card Owner")?></td>
          <td><input name="card_owner" type="text"></td>
        </tr>
        <tr>
          <td><?= l("CVV")?></td>
          <td><input name="cvv" type="text" size="3"></td>
        </tr>
      <?php } ?>
      </tr>
    </table>
  </form>
    <div class="view-text-container" >
      <div id="save-payment-error" class="alert-message" style="display: none" >
      </div>
     </div>

    <?php if ( $ptype == 'MasterCard' || $ptype == 'VISA' ){ ?>
        <div class="view-text-container" >
          <button id="cancel_automatic_payment_method" class="pure-button view-button"><?= l("Cancel")?></button>
          <button id="save_automatic_payment_method" class="pure-button view-button pure-button-primary"><?= l("Save credit card")?></button>
        </div>
    <?php } elseif ( $ptype == 'PayPal' ) { ?>
        <div class="view-text-container" >
          <button id="cancel_automatic_payment_method" class="pure-button view-button"><?= l("Cancel")?></button>
          <button id="save_automatic_payment_method" class="pure-button view-button pure-button-primary"><?= l("Give a PayPal authorization")?></button>
        </div>
    <?php } else { ?>
      <?php if ( $Customer->customer_info['AutomaticPaymentMethod'] != NULL && $Customer->customer_info['AutomaticPaymentMethod'] != '' ){ ?>
        

      <?php } else { ?>

        <div class="view-text-container" >
          <button id="save_automatic_payment_method" class="pure-button view-button"><?= l("Do not set payment method")?></button>
        </div>
      <?php } ?>

<?php } ?>

<?php  } elseif ( isset($_GET['action']) && $_GET['action'] == 'save' ) { ?>


<?php  } elseif ( isset($_GET['action']) && $_GET['action'] == 'remove' ) { ?>

  <div class="view-text-container" >
    Supprimer les paiements automatiques.
  </div>


  <div class="alert-message" >
    <?= l("Warning, if you do not set automatic payment method and you have renewal options in your accounts, all saved renewal options will be removed.")?>
  </div>

  <div class="view-text-container" >
    <button id="cancel_automatic_payment_method" class="pure-button view-button"><?= l("Cancel")?></button>
    <button id="save_automatic_payment_method" class="pure-button view-button"><?= l("Confirm automatic payment removal")?></button>
  </div>

<?php } else { ?>


    <?php if ( $Customer->customer_info['AutomaticPaymentMethod'] == 'PayPal' || $Customer->customer_info['AutomaticPaymentMethod'] == 'VISA' || $Customer->customer_info['AutomaticPaymentMethod'] == 'MasterCard' ){ ?>

    <table class="info_table">
      <?php if ($Customer->customer_info['AutomaticPaymentMethod'] == 'PayPal' ){ ?>

        <tr>
          <td><?= l("Payment method")?></td>
          <td>
            PayPal
          </td>
        </tr>
        <tr>
          <td><?= l("Authorization status") ?></td>
          <td>
            <?php if ($Customer->customer_info['AutomaticPaymentStatus'] == 'pending' ){ ?>
              <?= l("Pending")?>
            <?php } elseif ( $Customer->customer_info['AutomaticPaymentStatus'] == 'approved' ) { ?>
              <?= l("Approved")?>
            <?php } ?>
          </td>
        </tr>
      <?php } ?>
      <?php if ($Customer->customer_info['AutomaticPaymentMethod'] == 'MasterCard' ){ ?>
        <tr>
          <td><?= l("Payment method")?></td>
          <td>
            <?= l("MasterCard")?>
          </td>
        </tr>
        <tr>
          <td><?= l("Card number")?></td>
          <td><?= $Customer->customer_info['AutomaticPaymentCustomNumber'] ?></td>
        </tr>
      <?php } ?>
      <?php if ($Customer->customer_info['AutomaticPaymentMethod'] == 'VISA' ){ ?>
        <tr>
          <td><?= l("Payment method")?></td>
          <td>
            <?= l("VISA")?>
          </td>
        </tr>
        <tr>
          <td><?= l("Card number")?></td>
          <td><?= $Customer->customer_info['AutomaticPaymentCustomNumber'] ?></td>
        </tr>
      <?php } ?>

    </table>
      <?php } ?>



    <div class="view-text-container" >


    <?php if ( isset($Customer->customer_info['AutomaticPaymentMethod']) && $Customer->customer_info['AutomaticPaymentMethod'] != '' ) { ?>
        <button id="remove-automatic-payment-method-button" class="pure-button view-button"><?= l("Remove automatic payment method")?></button>
    <?php } ?>

    

    <?php if ( $Customer->customer_info['AutomaticPaymentMethod'] == NULL ) { ?>
      <button id="change-automatic-payment-method-button" class="pure-button view-button"><?= l("Set an automatic payment method")?></button>
    <?php } else { ?>
      <button id="change-automatic-payment-method-button" class="pure-button view-button"><?= l("Change automatic payment method")?></button>
    <?php } ?>
   </div>
  <?php } ?>



  <script type="text/javascript">
    $( "#set-automatic-payment-method-button" ).click( function() {
      $( '#automatic-payment' ).load('views/view_select_automatic_payment_method.php?action=edit');   
    });

    $( "#remove-automatic-payment-method-button" ).click( function() {
      $( '#automatic-payment' ).load('views/view_select_automatic_payment_method.php?action=remove');   
    });

    $( "#change-automatic-payment-method-button" ).click( function() {
      $( '#automatic-payment' ).load('views/view_select_automatic_payment_method.php?action=edit');   
    });
    $( "#select_automatic_payment_method" ).change( function() {
      var tmp = 'no';
      if ( $( this ).val() != '' ){
         tmp = $( this ).val();
      }
      $( '#automatic-payment' ).load('views/view_select_automatic_payment_method.php?action=edit&type='+tmp);   
    });

    <?php if ( $ptype == 'PayPal' ){

      $AUTH_KEY = 'us3E0iDV56VuA3ci4tQ4F2Ge92V20Xry';
      $TARGET_URL = "http://switzernet.com/3/public/140910-paypal-recurring/paypalPreapprovalProcess.php";
      $URL_PARAMS = '';
      $PARAM_STR = '';
      $AUTH_STR = '';
      $FINAL_PAYPAL_PREPAPROVAL_URL = '';


      $GET_PARAMS = array(
        'i_customer' => $Customer->customer_info['i_customer'],
      );

      
      foreach ($GET_PARAMS as $key => $value) {
        $PARAM_STR .= urlencode($key."=".$value).$AUTH_KEY;
        $URL_PARAMS .= $key."=".$value."&";
      }
      $PARAM_STR = preg_replace('/\+/', '%20', $PARAM_STR);
      $AUTH_STR = sha1($PARAM_STR);

      $PAGE_ID_STR = '&pid=pwi';

      $FINAL_PAYPAL_PREPAPROVAL_URL = $TARGET_URL . '?' . $URL_PARAMS . "AUTH_KEY=" . $AUTH_STR . $PAGE_ID_STR;

      echo ('//'. $FINAL_PAYPAL_PREPAPROVAL_URL);



    ?>






    $( "#save_automatic_payment_method" ).click( function() {
      $( '#save-payment-error' ).hide();
      $.post( "actions/save_payment_method.php", $( "#AutomaticPaymentForm" ).serialize() , function( data,status ) {
        //window.open('<?=  $FINAL_PAYPAL_PREPAPROVAL_URL ?>');
        window.location.href='<?=  $FINAL_PAYPAL_PREPAPROVAL_URL ?>';
      }).fail(function(data){
        $( '#save-payment-error' ).text("An error occured.");
        $( '#save-payment-error' ).show();
      });

      //window.location.href='<?=  $FINAL_PAYPAL_PREPAPROVAL_URL ?>';

/*
      $.post( "actions/save_payment_method.php", $( "#AutomaticPaymentForm" ).serialize() , function( data,status ) {
        var ans = $.parseJSON(data);
        if ( ans.status == 'error' ){
          $( '#save-payment-error' ).text(ans.message);
          $( '#save-payment-error' ).show();
        } else {
          $( '#automatic-payment' ).load('views/view_select_automatic_payment_method.php'+"?randomSeed=" +(new Date()).getMilliseconds());
        }
      }).fail(function(data){
        $( '#save-payment-error' ).text("An error occured.");
        $( '#save-payment-error' ).show();
      });
*/
     });



    <?php } else { ?>

    $( "#save_automatic_payment_method" ).click( function() {
      $( '#save-payment-error' ).hide();
      $.post( "actions/save_payment_method.php", $( "#AutomaticPaymentForm" ).serialize() , function( data,status ) {
        var ans = $.parseJSON(data);
        if ( ans.status == 'error' ){
          $( '#save-payment-error' ).text(ans.message);
          $( '#save-payment-error' ).show();
        } else {
          $( '#automatic-payment' ).load('views/view_select_automatic_payment_method.php'+"?randomSeed=" +(new Date()).getMilliseconds());
        }
      }).fail(function(data){
        $( '#save-payment-error' ).text("An error occured.");
        $( '#save-payment-error' ).show();
      });
     });

    <?php } ?>

    $( "#cancel_automatic_payment_method" ).click( function() {
      $( '#automatic-payment' ).load('views/view_select_automatic_payment_method.php');
     });

</script>
