<?php

require_once RootDir.'etc/Devices.php';


?>
<script type="text/javascript">
$('document').ready(function() {
   $(window).scrollTop(0);
});
</script>

<div class="view-header">
  <h1>
    <span><?= l("Shop")?></span>
  </h1>
</div>
<div class="view-content" id="shop-content">
  <?php 
  if ($Customer->customer_info['Active'] != TRUE ){ ?>
  <div class="alert-message">
    <?= l("Your account is not activated yet. Make your first payment from")?> <b><a href="#/billing" onclick="load_view('billing');"><?= l("Billing")?></a></b> <?= l("page to start.")?>
  </div>
  <?php } ?>
  <h2>
    <span><?= l("VoIP Devices")?></span>
  </h2>


<?php foreach ($VoIPDevices as $key => $value) { ?>
  <span class="voip-device-container" data-device-id="<?= $key ?>">
    <span class="voip-device-span-img-container" data-device-id="<?= $key ?>"><div class="voip-device-img-container"><img class="voip-device-thundbails" src="<?= $value['IMG'] ?>"></div></span>
    <span class="voip-device-bottom-row" >
      <div class="voip-device-prices"><?= $Customer->customer_info['Currency'] ?> <?= number_format($value['PRICE'][$Customer->customer_info['Currency']], 2) ?></div>
      <div class="voip-device-buttons">
        <button class="pure-button " onclick="device_details('<?= $key ?>')" style=""><?= l("Details")?></button>
        <button class="pure-button pure-button-primary" onclick="device_buy('<?= $key ?>')"><?= l("Buy")?></button>
      </div>
    </span>

  </span>
<?php } ?>
<script type="text/javascript">

function device_details (device_id) {
  $( '#shop-content' ).load('views/view_shop_device_details.php?device='+device_id);
}

function device_buy (device_id) {
  $( '#shop-content' ).load('views/view_shop_order.php?device='+device_id);
}

$( ".voip-device-span-img-container" ).click(function() {
  var id = $( this ).attr('data-device-id');
  $( '#shop-content' ).load('views/view_shop_device_details.php?device='+id);
});

</script>
    


</div>
