<?php

require_once RootDir.'etc/Devices.php';

?>


<?php if ( isset( $_GET['device'] ) && isset( $VoIPDevices[$_GET['device']] ) ){ ?>
  <h2>
    <span><?= l("Details for the device")?> <b><?= $VoIPDevices[$_GET['device']]['NAME'] ?></b></span>
  </h2>

  <div class="view-text-container">
    <div style="width:100%;display: inline-block;">
      <span style="float:left;overflow:hidden;display:block;margin-right: 5%;" >
        <img style="height:20em;max-width:100%" src="<?= ServerURL.'/'.$VoIPDevices[$_GET['device']]['IMG'] ?>">
      </span>
          <div style="height:10em;"></div>
          <div style="font-size: 1.5em;white-space: nowrap;overflow: hidden;display: inline-block;height: 100%;color: #800000;">
        <?= $Customer->customer_info['Currency'] ?> <?= number_format($VoIPDevices[$_GET['device']]['PRICE'][$Customer->customer_info['Currency']], 2) ?>
      </div>
    </div>
    <div style="width:100%;">
          <?= $VoIPDevices[$_GET['device']]['DESC'] ?>
    </div>
  </div>
  <div class="view-text-container" style="text-align:center">
    <button id="return-to-shop" class="pure-button view-button"><?= l("Return to devices")?></button>
    <button id="order-button" class="pure-button view-button pure-button-primary"><?= l("Get this device")?></button>
  </div>
<?php } else { ?>
  <div class="alert-message">
    <?= l("Sorry. The details for this device are not available.")?>
  </div>
  <div class="view-text-container">
    <button id="return-to-shop" class="pure-button view-button"><?= l("Return to devices")?></button>
  </div>
<?php } ?>
<script type="text/javascript">
  $( "#return-to-shop" ).click(function() {
    $( '#view_content' ).load('views/view_shop.php');
  });
  $( "#order-button" ).click(function() {
    $( '#shop-content' ).load('views/view_shop_order.php?device=<?= $_GET['device'] ?>');
  });
</script>