<?php

$ERROR = FALSE;
$ERROR_NAME = '';


if ( !$ERROR && !isset( $_GET['sp'] ) ){
  $ERROR = TRUE;
  $ERROR_NAME = 'NO_SUBSCRIPTION_PLAN_DEFINED';
}

if ( !$ERROR && isset( $_GET['sp'] ) && $_GET['sp'] == 'undefined' ){
  $ERROR = TRUE;
  $ERROR_NAME = 'NO_SUBSCRIPTION_PLAN_DEFINED';
}

if ( !$ERROR && !isset( $SubscriptionPlans[$_GET['sp']] ) ){
  $ERROR = TRUE;
  $ERROR_NAME = 'WRONG_SUBSCRIPTION_PLAN';
}

$Account = new Account();
$Account->set_account_id( $_SESSION[AppId]['show_prepaid_account_id'] );

if ( $Customer->porta_billing_customer ){
  $Account->porta_billing_account = TRUE;
}  else {
  $Account->porta_billing_account = FALSE;
}
$Account->load_account_info();


if ( !$ERROR && $Account->account_info['SubscriptionAutoRenewal'] == 1 && $Account->account_info['IsPrepaidPrivate'] ){
  $update_expiration_date = FALSE;
  $Account->update_subscription_plan( $_GET['sp'], $update_expiration_date );
  echo '<div class="ok-message">';
  echo l('Your subscription plan has been updated.');
  echo '</div>';
} else {
  if ( !$ERROR && ( $Customer->customer_info['AvailableFunds'] < ( $SubscriptionPlans[$_GET['sp']]['RenewalPeriodMonths'] * $SubscriptionPlans[$_GET['sp']]['MonthlyFees'][$Customer->customer_info['Currency']] ) ) ){
    $ERROR = TRUE;
    $ERROR_NAME = 'UNSUFICIENT_BALANCE';
  } else {
    if ( $Customer->charge( $SubscriptionPlans[$_GET['sp']]['RenewalPeriodMonths'] * $SubscriptionPlans[$_GET['sp']]['MonthlyFees'][$Customer->customer_info['Currency']] ) ){
      if ( $Account->update_subscription_plan( $_GET['sp'] ) ){
        $Account->set_prepaid_private_product();
      } else {

      }
      echo '<div class="ok-message">';
      echo l('Your subscription has been updated and your account has been charged. Thank you for your order.');
      echo '</div>';
    } else {
      echo '<div class="alert-message">';
      echo l('An error occured. Please try again later');
      echo '</div>';
    }
  }
}

if ( $ERROR ){
  echo '<div class="alert-message">';
  switch ($ERROR_NAME) {
    case "NO_SUBSCRIPTION_PLAN_DEFINED":
      echo l("Please choose a subscription plan.");
      break;
    case "WRONG_SUBSCRIPTION_PLAN":
      echo l("This subscription plan is not available");
      break;
    case "UNSUFICIENT_BALANCE":
      echo l("The availble funds on your account (").$Customer->customer_info['AvailableFunds']." ".$Customer->customer_info['Currency'].") ".l("are not suficient to activate this subscription (Price: ").( $SubscriptionPlans[$_GET['sp']]['RenewalPeriodMonths'] * $SubscriptionPlans[$_GET['sp']]['MonthlyFees'][$Customer->customer_info['Currency']] )." ".$Customer->customer_info['Currency']."). ".l("Please recharge your account first.");
      break;
  }
  echo '</div>';
  ?>
<script type="text/javascript">
  $( "#button-save-subscription-plan" ).addClass('pure-button-disabled');
</script>
<?php exit; } ?>

<script type="text/javascript">
  $( "#button-save-subscription-plan" ).removeClass('pure-button-disabled');
  $( '#view_prepaid_subscription_plan' ).load('views/view_prepaid_subscription_plan.php');
//  $( '#view_change_subscription_plan' ).load('views/view_change_subscription_plan.php');
</script>
