<?php
if(session_id() == '') {
  session_start();
}
$error=''; // Variable To Store Error Message
if (isset($_POST['submit'])) {
  if (empty($_POST['username']) || empty($_POST['password'])) {
    $error = l("Username or Password is invalid");
  } else {
    $username=$_POST['username'];
    $password=$_POST['password'];
    $Customer = new Customer;
    $auth_response = FALSE;
    $auth_response = $Customer->authenticate( $username, $password );
    if ( $auth_response == TRUE ){
      $Customer->load_customer_info();
      $_SESSION[AppId]['Customer'] = serialize($Customer);
      $_SESSION[AppId]['show_prepaid_account_id'] = '';
      $_SESSION[AppId]['AUTHENTICATED'] = TRUE;
      header( "Location: http://".$_SERVER['HTTP_HOST']."/".$_SERVER['REQUEST_URI'] );
      exit;
    } else {
      $error = l("Username or Password is invalid");
    }
  }
}
?>
<!DOCTYPE html>
<html lang="en" class="ng-scope">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title class="ng-binding">Switzernet</title>
    <link rel="stylesheet" media="screen,projection" href="../css/pure-min.css">
    <link rel="stylesheet" media="screen,projection" href="css/login.css">
    <script src="../js/jquery-1.11.1.min.js"></script>
    <link rel="shortcut icon" href="images/favicon.ico">
  </head>
  <body>
    <div id="container">
      <div id="logo_header">
        <a>
          <img id="logo" src="../img/switzernet-logo.png" alt="Switzernet">
        </a>
      </div>

      <div class="page">
      <div id="login_form">
        <?php
         if ( $error != '' ){
          echo "<span style='color:red'>".$error."</span>";
         }
        ?>
        <form class="pure-form pure-form-aligned" action="" method="post">
    <fieldset>
        <div class="pure-control-group">
            <label for="name"><?= l("Username") ?></label>
            <input id="name" name="username" type="text" placeholder="<?= l("Username") ?>" required>
        </div>

        <div class="pure-control-group">
            <label for="password"><?= l("Password") ?></label>
            <input id="password" name="password" type="password" placeholder="<?= l("Password") ?>" required>
        </div>

        <div class="pure-controls">
            <input name="submit" type="submit" value="Connect" class="pure-button pure-button-primary"/>
        </div>
    </fieldset>
</form>
      </div>

      </div>
    </div>
  </body>
</html>