<?php

$filename = '/home/site_lib/connections/local.mysqli.141102_test_web_interface.class.php';
if(!@include_once( $filename ) ) throw new Customer_Exception( "Failed to include ". $filename );
try {
  $LocalMysql = new LocalMysqli;
  $LocalMysql = $LocalMysql->connection;
  $LocalMysql->set_charset("utf8");
} catch (mysqli_sql_exception $e) {
  throw new Customer_Exception("Could not connect to mysql server !".$e);
}

$i_customer = NULL;


if ( $_POST['Active'] == 'false' ){
  $_POST['Active'] = 0;
} else {
  $_POST['Active'] = 1;
}

if ( isset($_POST['i_customer']) && preg_match('/^[0-9]+$/',  $_POST['i_customer'] ) ){

  $i_customer = $_POST['i_customer'];

  $SQL = "UPDATE `customer_data`
  SET
    `Active` = ?,
    `Email` = ?,
    `Firstname` = ?,
    `Lastname` = ?,
    `Address` = ?,
    `NPA` = ?,
    `City` = ?,
    `Country` = ?,
    `Balance` = ?,
    `Currency` = ?,
    `AutomaticPaymentMethod` = ?,
    `AutomaticPaymentStatus` = ?,
    `WebLogin` = ?,
    `WebPassword` = ?
  WHERE
    `i_customer` = ?
  ";

  if (!($stmt = $LocalMysql->prepare($SQL))) {

  $data = array('type' => 'error', 'message' => "Echec de la préparation : (" . $LocalMysql->errno . ") " . $LocalMysql->error);
          header('HTTP/1.1 500 Internal Server Error');
          header('Content-Type: application/json; charset=UTF-8');
          echo json_encode($data);
          exit;
  }

  if (!$stmt->bind_param("isssssssssssssi", $_POST['Active'], $_POST['Email'] ,$_POST['Firstname'], $_POST['Lastname'], $_POST['Address'], $_POST['NPA'], $_POST['City'], $_POST['Country'], $_POST['Balance'], $_POST['Currency'], $_POST['AutomaticPaymentMethod'], $_POST['AutomaticPaymentStatus'], $_POST['WebLogin'], $_POST['WebPassword'], $_POST['i_customer'])) {



  $data = array('type' => 'error', 'message' => "Echec lors du liage des paramètres : (" . $stmt->errno . ") " . $stmt->error);
          header('HTTP/1.1 400 Bad Request');
          header('Content-Type: application/json; charset=UTF-8');
          echo json_encode($data);
          exit;
  }

  if (!$stmt->execute()) {
    $data = array('type' => 'error', 'message' => "Echec lors de l'exécution de la requête : (" . $stmt->errno . ") " . $stmt->error );
    header('HTTP/1.1 400 Bad Request');
    header('Content-Type: application/json; charset=UTF-8');
    echo json_encode($data);
    exit;
  }

  $stmt->close();

} else {
  $SQL = "INSERT INTO `customer_data` ( `Active`, `Firstname`, `Lastname`, `Address`, `NPA`, `City`, `Country`, `Balance`, `Currency`, `AutomaticPaymentMethod`, `AutomaticPaymentStatus`, `WebLogin`, `WebPassword` ) VALUES ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?);";

  if (!($stmt = $LocalMysql->prepare($SQL))) {

  $data = array('type' => 'error', 'message' => "Echec de la préparation : (" . $LocalMysql->errno . ") " . $LocalMysql->error);
          header('HTTP/1.1 500 Internal Server Error');
          header('Content-Type: application/json; charset=UTF-8');
          echo json_encode($data);
          exit;
  }

  if (!$stmt->bind_param("isssssssssss", $_POST['Active'], $_POST['Firstname'], $_POST['Lastname'], $_POST['Address'], $_POST['NPA'], $_POST['City'], $_POST['Country'], $_POST['Balance'], $_POST['Currency'], $_POST['AutomaticPaymentMethod'], $_POST['AutomaticPaymentStatus'], $_POST['WebLogin'], $_POST['WebPassword'])) {

  $data = array('type' => 'error', 'message' => "Echec lors du liage des paramètres : (" . $stmt->errno . ") " . $stmt->error);
          header('HTTP/1.1 400 Bad Request');
          header('Content-Type: application/json; charset=UTF-8');
          echo json_encode($data);
          exit;
  }

  if (!$stmt->execute()) {
    $data = array('type' => 'error', 'message' => "Echec lors de l'exécution de la requête : (" . $stmt->errno . ") " . $stmt->error );
    header('HTTP/1.1 400 Bad Request');
    header('Content-Type: application/json; charset=UTF-8');
    echo json_encode($data);
    exit;
  }

  $i_customer = $LocalMysql->insert_id;

  $stmt->close();


}





$sql = "SELECT * FROM customer_data WHERE i_customer = ".$i_customer;
$Customer = array();
if ($result = $LocalMysql->query($sql, MYSQLI_USE_RESULT)) {
  $Customer = $result->fetch_assoc();
  $result->close();
}

echo "<tr>";

foreach ($Customer as $key => $value) {
  echo "<td>";
  echo $value;
  echo "</td>";
}
  echo  '<td><input type="submit" onclick="editCustomer(this)" value="edit"><input onclick="makePayment(this)" value="pay" type="submit"></td>';
  echo  '<td><input type="submit" onclick="viewAccounts(this)" value="show"></td>';
echo "</tr>";

?>


<?php
  $LocalMysql->close();
?>

