<?php

$ERROR = FALSE;


if ( !$ERROR && !isset( $_GET['sp'] ) ){
  $ERROR = TRUE;
  display_error(l("Please choose a subscription plan."));
}

if ( !$ERROR && isset( $_GET['sp'] ) && $_GET['sp'] == 'undefined' ){
  $ERROR = TRUE;
  display_error(l("Please choose a subscription plan."));
}

if ( !$ERROR && !isset( $SubscriptionPlans[$_GET['sp']] ) ){
  $ERROR = TRUE;
  display_error(l("This subscription plan is not available."));
}


if ( !$ERROR && $Account->account_info['SubscriptionAutoRenewal'] == 0 ){

  if ( !$ERROR && ( $Customer->customer_info['AvailableFunds'] < ( $SubscriptionPlans[$_GET['sp']]['RenewalPeriodMonths'] * $SubscriptionPlans[$_GET['sp']]['MonthlyFees'][$Customer->customer_info['Currency']] ) ) ){
    $ERROR = TRUE;
    display_error(l("The availble funds on your account ("). $Customer->customer_info['AvailableFunds'] . " " . $Customer->customer_info['Currency'].l(") are not suficient to activate this subscription (Price: ") . ( $SubscriptionPlans[$_GET['sp']]['RenewalPeriodMonths'] * $SubscriptionPlans[$_GET['sp']]['MonthlyFees'][$Customer->customer_info['Currency']] ) . " " . $Customer->customer_info['Currency'] . l("). Please recharge your account first."));
  } else {
    display_info( l(""). ( $SubscriptionPlans[$_GET['sp']]['RenewalPeriodMonths'] * $SubscriptionPlans[$_GET['sp']]['MonthlyFees'][$Customer->customer_info['Currency']] ) . ' ' . $Customer->customer_info['Currency'] . ' '.  l("will be charged to your balance.") );
    echo '
    <script type="text/javascript">
      $( "#button-save-subscription-plan" ).removeClass(\'pure-button-disabled\');
    </script>';
  }
} else {
  echo '
  <script type="text/javascript">
    $( "#button-save-subscription-plan" ).removeClass(\'pure-button-disabled\');
  </script>';
}

function display_error( $text ){
  echo '<div class="alert-message">';
  echo $text;
  echo '</div>';
  echo '
  <script type="text/javascript">
    $( "#button-save-subscription-plan" ).addClass(\'pure-button-disabled\');
  </script>';
}

function display_info( $text ){
  echo '<div class="info-message">';
  echo $text;
  echo '</div>';
}

?>
